/**
 * Deze klasse modeleert de e-mailclient. De client hoort
 * bij een bepaalde gebruiker en verstuurt berichten via
 * een vaste e-mailserver.
 * 
 * @author David J. Barnes and Michael Kölling
 * @version 2011.07.31
 */
public class MailClient
{
    // De server die de berichten stuurt en ontvangt
    private MailServer server;
    // De gebruiker voor deze client
    private String user;

    /**
     * Creëer een e-mailclient voor de gegeven gebruiker,
     * verbonden met de gegeven server
     */
    public MailClient(MailServer server, String user)    
    {
        this.server = server;
        this.user = user;
    }

    /**
     * Het volgende (ongelezen) bericht voor deze gebruiker.
     */
    public MailItem getNextMailItem()
    {
        return server.getNextMailItem(user);
    }

    /**
     * Druk het volgende ongelezen bericht af voor deze gebruiker.
     */
    public void printNextMailItem()
    {
        MailItem item = server.getNextMailItem(user);
        if(item == null) {
            System.out.println("Geen nieuwe berichten.");
        }
        else {
            item.print();
        }
    }

    /**
     * Stuur het gegeven bericht naar de gegeven ontvanger (met
     * behulp van de server)
     */
    public void sendMailItem(String to, String message)
    {
        MailItem item = new MailItem(user, to, message);
        server.post(item);
    }
}
