/**
 * Deze klasse modelleert een eenvoudig e-mailbericht. Het
 * bevat het adres van de afzender en van de ontvanger, en
 * ook het bericht zelf.
 * 
 * @author David J. Barnes and Michael Kölling
 * @version 2011.07.31
 */
public class MailItem
{
    // De afzender
    private String from;
    // De ontvanger
    private String to;
    // De tekst van het bericht
    private String message;

    /**
     * Maak een breicht aan met gegeven zender, ontvanger en tekst
     * @param from De afzender van dit bericht
     * @param to De vermeende ontvanger van dit bericht
     * @param message De tekst van het bericht
     */
    public MailItem(String from, String to, String message)
    {
        this.from = from;
        this.to = to;
        this.message = message;
    }

    /**
     * @return De afzender.
     */
    public String getFrom()
    {
        return from;
    }

    /**
     * @return De ontvanger.
     */
    public String getTo()
    {
        return to;
    }

    /**
     * @return De inhoud van het bericht.
     */
    public String getMessage()
    {
        return message;
    }

    /**
     * Druk dit bericht af op de terminal.
     */
    public void print()
    {
        System.out.println("From: " + from);
        System.out.println("To: " + to);
        System.out.println("Message: " + message);
    }
}
